%global momorel 1
%global artsver 1.5.7
%global qtver 3.3.7
%global kdever 3.5.7
%global kdebaserel 1m
%global qtdir %{_libdir}/qt-%{qtver}
%global kdedir /usr

Summary: Artwork for Red Hat default look-and-feel
Name: redhat-artwork
Version: 7.0.0
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
Source1: post-install-fixup.sh
Source2: post-install-sources.tar.gz
Source3: icon-coverage-linker.py
Source4: coverage-tool-links.xml
Patch0: %{name}-%{version}-gtkrc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: qt < 3.0.4-11
Conflicts: gnome-session <= 2.0.1
Conflicts: kdebase <= 3.0.3
Conflicts: gdm <= 2.6.0.8
Conflicts: redhat-menus < 5.5.5
# we don't want to require gtk/qt
Autoreq: 0

Requires(post): gtk2 >= 2.9.0

BuildRequires: gtk2-devel >= 2.10.3
BuildRequires: qt-devel = %{qtver}
BuildRequires: kdebase >= %{kdever}-%{kdebaserel}
BuildRequires: gdk-pixbuf-devel >= 0.22.0-13m
BuildRequires: xorg-x11-apps
BuildRequires: icon-slicer >= 0.3
BuildRequires: netpbm-progs
# for intltool to work
BuildRequires: perl-XML-Parser
# for translations to work
BuildRequires: gettext
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: python

# Required for mcopidl in configure, but we don't use that...
BuildRequires: arts-devel >= %{artsver}

%description
redhat-artwork contains the themes and icons that make up the Red Hat default 
look and feel.

%prep
%setup -q

%patch0 -p1 -b .clearlooks

mkdir post-install
(cd post-install; tar xzf %{SOURCE2})

# Momonga work arround. when momonga's qt is updated to 3.3,
# script below is no longer needed.
## qt was updated to 3.3.4, but needs this line.
find . -type f | xargs perl -p -i -e 's/qt-3.3/qt-%{qtver}/g'

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%configure

export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
export LANG=en_US.ISO-8859-1 ## workaround for intltool sucking in UTF-8
%makeinstall

# Run post-install fixup script
DATADIR=%{buildroot}%{_datadir} %{SOURCE1}

rm -f %{buildroot}%{_libdir}/gtk-2.0/*/*.la
rm -f %{buildroot}%{_libdir}/gtk/themes/engines/*.la
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/engines/*.la
rm -f %{buildroot}%{_libdir}/qt-%{qtver}/plugins/styles/*.la

mkdir -p %{buildroot}%{_sysconfdir}/gtk-2.0
install -m 0644 gtkrc2-default %{buildroot}%{_sysconfdir}/gtk-2.0/gtkrc

%{SOURCE3} %{buildroot}%{_datadir}/icons/Bluecurve %{SOURCE4}

rm -f %{buildroot}%{qtdir}/etc/settings/qtrc

# symlink some icons so we can handle some of the new added icons
# this should be added to our upstream sources
pushd %{buildroot}%{_datadir}/icons/Bluecurve/48x48/apps

# link upstream icon names to the redhat ones in bluecurve
# FIXME: the ones with -sf need to be removed upstream
for d in 48x48 32x32 24x24 16x16; do
  cd %{buildroot}%{_datadir}/icons/Bluecurve/$d/apps
  ln -s icon-db-user.png openofficeorg-base.png
  ln -s redhat-spreadsheet.png openofficeorg-calc.png
  ln -s icon-vector-editor.png openofficeorg-draw.png
  ln -s redhat-presentations.png openofficeorg-impress.png
  ln -s icon-calculator.png openofficeorg-math.png
  ln -s redhat-word-processor.png openofficeorg-writer.png
  ln -s redhat-accessories.png gnome-util.png
  ln -sf redhat-programming.png gnome-devel.png
  ln -sf redhat-games.png gnome-joystick.png
  ln -s redhat-graphics.png gnome-graphics.png
  ln -sf redhat-internet.png gnome-globe.png
  ln -sf redhat-sound_video.png gnome-multimedia.png
  ln -sf redhat-office.png gnome-applications.png
  ln -sf redhat-preferences.png gnome-settings.png
  ln -sf redhat-system_settings.png gnome-system.png
done
popd

pushd %{buildroot}%{_datadir}/icons/Bluecurve/48x48/filesystems
ln -s ../mimetypes/fileshare.png gnome-fs-ftp.png
popd

# link upstream icon names to the redhat ones in bluecurve
pushd %{buildroot}%{_datadir}/icons/Bluecurve/
  for s in 16x16 20x20 24x24 32x32 36x36 48x48 64x64 96x96; do
    pushd $s/apps/ 2> /dev/null || continue
      ln -sf redhat-office.png package_wordprocessing.png
      ln -sf redhat-internet.png package_network.png
      ln -sf redhat-accessories.png package_applications.png
      ln -sf redhat-graphics.png package_graphics.png
      ln -sf redhat-games.png package_games.png
      ln -sf redhat-sound_video.png multimedia.png
      ln -sf redhat-preferences.png package_settings.png
      ln -sf redhat-programming.png package_development.png
      ln -sf redhat-system_tools.png package_utilities.png
      ln -sf redhat-system_settings.png package_system.png
      ln -sf redhat-tools.png package_utilities.png
      # app icons
      ln -sf redhat-email.png kmail.png
      ln -sf redhat-web-browser.png konqueror.png
      ln -sf redhat-filemanager.png kfm.png
      ln -sf redhat-home.png kfm_home.png
      ln -sf redhat-logviewer.png kviewshell.png
      # system settings
      ln -sf system-config-soundcard.png multimedia.png
    popd
  done
popd

function flip_icon () {
  pngtopnm $1.png > $1.rgb
  pngtopnm -alpha $1.png > $1.alpha
  pamstack $1.rgb $1.alpha > $1.pam
  pamflip -lr $1.pam > $2.pam
  pamrgbatopng $2.pam > $2.png
  rm -f $1.rgb $1.alpha $1.pam $2.pam
}

function ln_icon () {
  if [ -f $1.png ]; then
    ln -s $1.png $2.png
  fi
  if [ -f $1.icon ]; then
    ln -s $1.icon $2.icon
  fi
  if [ -f $1.svg ]; then
    ln -s $1.svg $2.svg
  fi
}

# link gtk stock icon names to bluecurve ones
pushd %{buildroot}%{_datadir}/icons/Bluecurve/
  for s in 16x16 24x24 36x36 48x48; do
    if pushd $s/filesystems/ >&/dev/null; then
      ln_icon gnome-fs-directory gtk-directory
      ln_icon gnome-fs-network gtk-network
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon file-container gtk-file
      ln_icon harddrive gtk-harddisk
      popd
    fi
    if pushd $s/stock/ >&/dev/null; then
      ln_icon stock-about gtk-about
      ln_icon stock-connect gtk-connect
      ln_icon stock-disconnect gtk-disconnect
      ln_icon stock-edit gtk-edit
      ln_icon stock-media-ffwd gtk-media-forward-ltr
      ln_icon stock-media-rewind gtk-media-forward-rtl
      ln_icon stock-media-next gtk-media-next-ltr
      ln_icon stock-media-prev gtk-media-next-rtl
      ln_icon stock-media-pause gtk-media-pause
      ln_icon stock-media-play gtk-media-play-ltr
      ln_icon stock-media-prev gtk-media-previous-ltr
      ln_icon stock-media-next gtk-media-previous-rtl
      ln_icon stock-media-rec gtk-media-record
      ln_icon stock-media-rewind gtk-media-rewind-ltr
      ln_icon stock-media-ffwd gtk-media-rewind-rtl 
      ln_icon stock-media-stop gtk-media-stop
      ln_icon stock-undo gtk-undo-ltr
      ln_icon stock-redo gtk-redo-ltr
      ln_icon stock-font gtk-select-font
      flip_icon stock-media-play gtk-media-play-rtl
      flip_icon stock-undo gtk-undo-rtl
      flip_icon stock-redo gtk-redo-rtl
      popd
    fi
  done
  pushd 48x48/stock/ >&/dev/null || continue
    ln_icon stock-lockscreen gtk-dialog-authentication
  popd
popd


# link icon-naming spec names to bluecurve ones
pushd %{buildroot}%{_datadir}/icons/Bluecurve/
  for s in 16x16 20x20 24x24 32x32 36x36 48x48 64x64 96x96; do
    if pushd $s/filesystems/ >&/dev/null; then
      ln_icon gnome-fs-trash-empty user-trash
      ln_icon gnome-fs-trash-full user-trash-full
      popd
    fi
    if pushd $s/stock/ >&/dev/null; then
      ln_icon stock-properties document-properties
      ln_icon stock-find-and-replace edit-find-and-replace
      ln_icon stock-undo edit-undo
      ln_icon stock-justify-center format-justify-center
      ln_icon stock-justify-fill format-justify-fill
      ln_icon stock-justify-left format-justify-left
      ln_icon stock-justify-right format-justify-right
      ln_icon stock-strikethrough format-text-strikethrough
      ln_icon stock-underline format-text-underline
      ln_icon stock-goto-bottom go-bottom
      ln_icon stock-go-down go-down
      ln_icon stock-goto-first go-first
      ln_icon stock-goto-last go-last
      ln_icon stock-jump-to go-jump
      ln_icon stock-go-forward go-next
      ln_icon stock-go-back go-previous
      ln_icon stock-go-up go-up
      ln_icon stock-goto-top go-top
      ln_icon stock-zoom-fit zoom-best-fit
      ln_icon stock-quit system-log-out
      ln_icon stock-quit application-exit
      ln_icon stock-apply dialog-ok
      ln_icon stock-close dialog-close
      ln_icon stock-cancel dialog-cancel
      ln_icon stock-bookmark-page bookmark-new
      ln_icon stock-new document-new
      ln_icon stock-open document-open
      ln_icon stock-open document-open-recent
      ln_icon stock-print document-print
      ln_icon stock-print-preview document-print-preview
      ln_icon stock-save document-save
      ln_icon stock-save-as document-save-as
      ln_icon stock-copy edit-copy
      ln_icon stock-cut edit-cut
      ln_icon stock-delete edit-delete
      ln_icon stock-paste edit-paste
      ln_icon stock-bold format-text-bold
      ln_icon stock-italic format-text-italic
      ln_icon stock-mic audio-input-microphone
      ln_icon stock-about help-about
      ln_icon stock-book help-contents
      ln_icon stock-missing-image image-missing
      ln_icon stock-media-pause media-playback-pause
      ln_icon stock-media-play media-playback-start
      ln_icon stock-media-stop media-playback-stop
      ln_icon stock-media-rec media-record
      ln_icon stock-media-rewind media-seek-backward
      ln_icon stock-media-ffwd media-seek-forward
      ln_icon stock-media-prev media-skip-backward
      ln_icon stock-media-next media-skip-forward
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon harddrive drive-harddisk
      ln_icon cd drive-removable-media
      ln_icon cd drive-optical
      ln_icon floppy media-floppy
      ln_icon cd media-optical
      ln_icon dvd media-flash
      ln_icon folder-home user-home
      ln_icon file-font font-x-generic
      ln_icon file-gfx image-x-generic
      ln_icon file-video video-x-generic
      ln_icon file text-x-generic
      ln_icon file text-x-generic-template
      ln_icon file-executable text-x-script
      ln_icon file-launcher application-x-executable
      ln_icon file-wordprocessor x-office-document
      ln_icon file-presentation x-office-presentation
      ln_icon file-spreadsheet x-office-spreadsheet
      # FIXME
      ln_icon file-wordprocessor x-office-calendar
      ln_icon file-wordprocessor x-office-address-book
      popd
    fi
    if pushd $s/apps/ >&/dev/null; then
      ln_icon icon-calculator accessories-calculator
      ln_icon icon-character-map accessories-character-map
      ln_icon icon-documentation accessories-dictionary
      ln_icon icon-notepad accessories-text-editor
      ln_icon icon-accessories applications-accessories
      ln_icon icon-development applications-development
      ln_icon icon-games applications-games
      ln_icon icon-help help-browser
      ln_icon icon-help system-help
      ln_icon icon-gfx applications-graphics
      ln_icon icon-network applications-internet
      ln_icon icon-media applications-multimedia
      ln_icon icon-office applications-office
      ln_icon icon-system-configuration applications-system
      ln_icon icon-computer computer
      ln_icon icon-system-settings preferences-desktop
      ln_icon icon-accessibility preferences-desktop-accessibility
      ln_icon icon-fonts preferences-desktop-font
      ln_icon icon-keyboard preferences-desktop-keyboard
      ln_icon icon-languages preferences-desktop-locale
      ln_icon icon-sound preferences-desktop-multimedia
      # preferences-desktop-peripherals
      ln_icon icon-user preferences-desktop-personal
      # preferences-desktop-screensaver
      ln_icon icon-themes preferences-desktop-theme
      ln_icon icon-background-picture preferences-desktop-wallpaper
      ln_icon icon-system-configuration preferences-system
      ln_icon icon-network preferences-system-network
      ln_icon gpm-primary-80 battery
      ln_icon gpm-primary-20 battery-caution
      ln_icon gpm-primary-10 battery-low
      ln_icon camera camera-photo
      ln_icon icon-games input-gaming
      ln_icon icon-keyboard input-keyboard
      ln_icon icon-mouse input-mouse
      ln_icon icon-systemhealth utilities-system-monitor
      popd
    fi
    if pushd $s/mimetypes/ >&/dev/null; then
      ln_icon stock_insert_image insert-image
      ln_icon stock_insert_url insert-link
      ln_icon stock_insert_ole-object insert-object
      popd
    fi
  done
  # some 48 only icons
  if pushd 48x48/stock/ >&/dev/null; then
    ln_icon stock-lockscreen dialog-password
    ln_icon dialog-info dialog-information
  fi
popd


# delete gdm themes (Bluecurve, FedoraBubble and FedoraDNA)
rm -rf %{buildroot}%{_datadir}/gdm/themes/Bluecurve
rm -rf %{buildroot}%{_datadir}/gdm/themes/FedoraBubbles
rm -rf %{buildroot}%{_datadir}/gdm/themes/FedoraDNA
rm -rf %{buildroot}%{_datadir}/gdm/themes/FedoraFlyingHigh

# remove kdm themes
rm -rf %{buildroot}%{_datadir}/apps/kdm/themes/Bluecurve
rm -rf %{buildroot}%{_datadir}/apps/kdm/themes/FedoraDNA
rm -rf %{buildroot}%{_datadir}/apps/kdm/themes/FedoraFlyingHigh

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
for dir in /usr/share/icons/*; do
  if test -d "$dir"; then
    if test -f "$dir/index.theme"; then
      /usr/bin/gtk-update-icon-cache --quiet $dir
    fi
  fi
done

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gtk-2.0/gtkrc
%{_libdir}/gtk-2.0/2.10.0/engines/libbluecurve.so
%{_libdir}/kde3/kwin3_bluecurve.la
%{_libdir}/kde3/kwin3_bluecurve.so*
%{qtdir}/etc/settings/kstylerc
%{qtdir}/plugins/styles/bluecurve.so
%{_datadir}/apps/kdisplay/color-schemes/Bluecurve.kcsrc
%{_datadir}/apps/kstyle/themes/Bluecurve.themerc
%{_datadir}/apps/kwin/bluecurve.desktop
%{_datadir}/icons/Bluecurve
%{_datadir}/icons/Bluecurve-inverse
%{_datadir}/icons/LBluecurve
%{_datadir}/icons/LBluecurve-inverse
%{_datadir}/locale/*/LC_MESSAGES/redhat-artwork.mo
%{_datadir}/pixmaps/nautilus/Bluecurve
%{_datadir}/pixmaps/*.png
%{_datadir}/themes/Bluecurve
%{_datadir}/themes/Bluecurve-BerriesAndCream
%{_datadir}/themes/Bluecurve-Gnome
%{_datadir}/themes/Bluecurve-Grape
%{_datadir}/themes/Bluecurve-Lime
%{_datadir}/themes/Bluecurve-Slate
%{_datadir}/themes/Bluecurve-Strawberry
%{_datadir}/themes/Bluecurve-Tangerine
%{_datadir}/themes/Bluecurve-classic
%{_datadir}/xmms/Skins/Bluecurve-xmms.zip

%changelog
* Sun Jun 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.0.0-1m)
- version 7.0.0

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0.10-2m)
- fix Conflicts for upgrading from STABLE_3

* Thu Feb 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0.10-1m)
- version 5.0.10

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.241-5m)
- delete libtool library

* Sun Jan 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.241-4m)
- rebuild against qt-3.3.7

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.241-3m)
- rebuild against gtk+-2.10.3

* Fri Jul 14 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.241-2m)
- delete gdm themes (Bluecurve & FedoraBubble)

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.241-1m)
- version 0.241

* Wed Jan 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.117-5m)
- modify %%build section for new libtool

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.117-4m)
- rebuild against qt-3.3.5-1m

* Tue Apr 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.117-3m)
- modify %%files section

* Fri Feb 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.117-2m)
- rebuild against qt-3.3.4

* Mon Feb 14 2005 Toru Hoshina <t@momonga-linux.org>
- (0.117-1m)
- ver up 0.117.

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.103-3m)
- enable x86_64.

* Sun Oct  3 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.103-2m)
- rebuild against qt-3.3.3-2m, kdebase-3.3.0-2m (libstdc++-3.4.2)

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.103-1m)
- update to 0.103
- %%global qtver 3.3.3
- %%global kdever 3.3.0
- revise %%files section

* Fri Jul 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.96-2m)
- remove skel

* Thu May  6 2004 Toru Hoshina <t@momonga-linux.org>
- (0.96-1m)
- merge from FC 1.92

* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.94-1m)
- merge from FC2-Test2.

* Wed Mar 17 2004 Alexander Larsson <alexl@redhat.com> 0.94-1
- update to 0.94

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar  2 2004 Alexander Larsson <alexl@redhat.com> 0.93-1
- Fix shuttle in cursor theme
- Remove redhat-main-menu icon
- Rename redhat-config-* icons to system-config-*
- Fix multihead issue in gtk2 theme

* Mon Feb 16 2004 Than Ngo <than@redhat.com> 0.92-1
- 0.92, fixed middle clicked on maximal and button double click on menu button

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Than Ngo <than@redhat.com> 0.91-1 
- rebuild against qt 3.3.0
- add qt-3.3 in library path

* Mon Jan 26 2004 Than Ngo <than@redhat.com> 0.90-1 
- some changes in kwin to get building with KDE 3.2 RC1

* Wed Dec 10 2003 Than Ngo <than@redhat.com> 0.89-1
- Ported BlueCurve for working in KDE 3.2

* Thu Oct 30 2003 Jonathan Blandford <jrb@redhat.com> 0.88-1
- gdm fixes

* Tue Oct 28 2003 Owen Taylor <otaylor@redhat.com> 0.87-1
- New version with fixed gtk-2.0/iconrc file, symlinks instead of 
  copies for icon aliases

* Tue Oct 28 2003 Alexander Larsson <alexl@redhat.com> 0.86-1
- Add Bluecurve-classic metacity theme
- Add missing KDE icons
- Add BerriesAndCream Gtk+ theme color

* Wed Oct 22 2003 Bill Nottingham <notting@redhat.com> 0.85-2
- spec file tweaks

* Wed Oct 15 2003 Alexander Larsson <alexl@redhat.com> 0.85-1
- fix icons in gtk theme

* Thu Oct  9 2003 Jonathan Blandford <jrb@redhat.com> 0.84-1
- new greeter theme

* Thu Oct  9 2003 Alexander Larsson <alexl@redhat.com> 0.83-1
- added missing translations

* Wed Oct  8 2003 Alexander Larsson <alexl@redhat.com> 0.82-1
- Icon fixes

* Thu Aug 28 2003 Alexander Larsson <alexl@redhat.com> 0.81-1
- kwin fix
- metacity theme changes
- small menu icons again

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.80-1
- kwin fix

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 0.79-1
- fix qt theme and kwin theme

* Fri Aug  8 2003 Alexander Larsson <alexl@redhat.com> 0.78-1
- Fix gtk2 theme crash (#100507)
- Add buildrequires (#90530, #83161)
- Fix ogg static (#100918)
- Add gtk theme color schemes (#81316)

* Thu Jul 17 2003 Havoc Pennington <hp@redhat.com> 0.77-1
- 0.77

* Thu Jul 10 2003 Havoc Pennington <hp@redhat.com> 0.75-1
- 0.76

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 0.75-1
- 0.75

* Mon Jul  7 2003 Alexander Larsson <alexl@redhat.com> 0.74-1
- 0.74, gtk+ theme optimization

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Feb 26 2003 Havoc Pennington <hp@redhat.com> 0.73-1
- 0.73 fixes 800x600 and theme thumbnail

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.72-1
- 0.72 with new music

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.71-1
- 0.71 tweaks

* Mon Feb 24 2003 Havoc Pennington <hp@redhat.com> 0.70-1
- 0.70 hopefully closes the last few blockers and doesn't break anything...

* Fri Feb 21 2003 Jonathan Blandford <jrb@redhat.com> 0.69-1
- 0.69 fixes cursors and adds animated watch glass

* Tue Feb 18 2003 Havoc Pennington <hp@redhat.com> 0.68-1
- 0.68 moves an image to redhat-logos

* Mon Feb 17 2003 Havoc Pennington <hp@redhat.com> 0.67-1
- 0.67

* Sat Feb 15 2003 Than Ngo <than@redhat.com> 0.66-1
- 0.66, fix several qt theme problems

* Wed Feb 12 2003 Alexander Larsson <alexl@redhat.com> 0.65-1
- 0.65, than fixed kde icon theme

* Fri Feb  7 2003 Jonathan Blandford <jrb@redhat.com> 0.64-1
- new version.  New cursors

* Thu Jan 30 2003 Alexander Larsson <alexl@redhat.com>
- 0.63, Qt theme updated

* Mon Jan 27 2003 Havoc Pennington <hp@redhat.com>
- 0.62

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Havoc Pennington <hp@redhat.com>
- 0.61, we needed to set LANG while making the distribution

* Tue Jan 21 2003 Havoc Pennington <hp@redhat.com>
- set LANG to an ISO-8859-1 locale so intltool won't get confused

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com>
- 0.60 with the cursors

* Tue Jan 14 2003 Havoc Pennington <hp@redhat.com>
- 0.59

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- 0.57 with stock icons
- 0.58 with stock icons really

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 0.56

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 0.55

* Wed Jan  8 2003 Havoc Pennington <hp@redhat.com>
- 0.54

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 0.53-2
- use internal dep generator.

* Fri Dec 20 2002 Than Ngo <than@redhat.com> 0.53-1
- 0.53

* Wed Dec 18 2002 Than Ngo <than@redhat.com> 0.50-1
- fix a bug in kwin plugin, crash on clicking menu button

* Tue Dec 17 2002 Tim Powers <timp@redhat.com> 0.49-4
- rebuild
- don't use rpm's internal dep gen

* Mon Dec  9 2002 Tim Powers <timp@redhat.com> 0.49-3
- rebuild

* Wed Dec  4 2002 Tim Powers <timp@redhat.com> 0.49-2
- rebuild

* Tue Nov 19 2002 Than Ngo <than@redhat.com>
- 0.49, add search path for plugins, fix conflict with qt 3.1.0

* Tue Nov 12 2002 Havoc Pennington <hp@redhat.com>
- install to qt-3.0.5 as temporary workaround

* Fri Nov  8 2002 Jeremy Katz <katzj@redhat.com>
- rebuild for new gtk2 engine paths

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- 0.47 with gdm translations restored

* Thu Sep  5 2002 Havoc Pennington <hp@redhat.com>
- 0.46

* Tue Sep  3 2002 Havoc Pennington <hp@redhat.com>
- 0.45 (updates some icons, COPYING)

* Tue Sep  3 2002 Havoc Pennington <hp@redhat.com>
- 0.44

* Tue Sep  3 2002 Than Ngo <than@redhat.com>
- 0.42 with some new icons and XIMInputStyle fix for Qt

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.41 with new kwin, new logout/exit/etc. icons

* Fri Aug 30 2002 Havoc Pennington <hp@redhat.com>
- 0.40 with lots of new icons, splash, etc.

* Mon Aug 19 2002 Havoc Pennington <hp@redhat.com>
- 0.38 with new icons

* Fri Aug 16 2002 Owen Taylor <otaylor@redhat.com>
- 0.37, with UTF-8 fixes for bluecurve.xml

* Fri Aug 16 2002 Havoc Pennington <hp@redhat.com>
- 0.35 with more icons

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- 0.33 with KDE trash and menu icon

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- put missing icons in Makefile

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com>
- 0.31, greeter theme fixes, gtk+ fixes, icon changes

* Tue Aug 13 2002 Alexander Larsson <alexl@redhat.com>
- 0.30, Fixed bad gkt+ theme memory and pixmap leak

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 0.29 with fixed gdm theme

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 0.28 with new gdm stuff and icons and so forth

* Fri Aug  9 2002 Havoc Pennington <hp@redhat.com>
- 0.26 with Bluecurve name
- 0.27 with Bluecurve name (fixed)

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- 0.24 with nautilus theme, placeholders for some app icons
- 0.25 with aliases for home icon (bug 67791) and some new icons

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 0.23 move metacity themes

* Sat Aug  3 2002 Havoc Pennington <hp@redhat.com>
- 0.22 xmms theme

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- 0.21 move ksplash stuff to right place
- add QTDIR hack

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 0.20

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 0.19, some assorted fixes from people

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com> 0.17-1
- 0.17 moved gtkrc inside tarball. conflict with gtk-engines < 0.11-13
- Install default gtkrc files for gtk1 and gtk2

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com> 0.16-1
- Bump version. Has new gtk1 theme fixes.

* Wed Jul 17 2002 Owen Taylor <otaylor@redhat.com>
- Bump version number, tag, do a formal distcheck

* Tue Jul 16 2002 Than Ngo <than@redhat.com> 0.14-3
- don't remove qtrc
- added conflict with qt < 3.0.4-11

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- adjust file list again, we want to err on the side of 
  owning more directories. It doesn't hurt anything 
  to do so, and you may install this package 
  without installing kde or metacity first.
  There's no prereqs on those. Owning more dirs means 
  we don't get orphaned directories.

* Tue Jul 16 2002 Alexander Larsson <alla@lysator.liu.se> 0.14-1
- New gtk+ theme changes

* Tue Jul 16 2002 Than Ngo <than@redhat.com> 0.13-1
- 0.13
- add qt resource into redhat-artwork

* Wed Jul  3 2002 Than Ngo <than@redhat.com> 0.12-1
- more fixes to qt theme
- Wonderland kwin theme
- fixup specfile

* Mon Jul  1 2002 Than Ngo <than@redhat.com> 0.11-1
- more fixes to qt theme
- added Wonderland colorscheme for KDE

* Fri Jun 28 2002 Alex Larsson - contractor <alexl@redhat.com>
- New version 0.10, further fixes to the gtk+ theme

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Remove backwards-compat patch so it works with the current 
  metacity in the tree

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- New version including GDM placeholder theme

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- 0.7

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- remove empty AUTHORS and COPYING files

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- prereq /usr/lib/qt3

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- autoreq 0 to avoid pointless dependencies
- own directories again except not the qt3 symlink

* Thu Jun 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.6-2
- tidy up URL, source list
- don't include qtrc for now
- don't own so many directories

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- 0.6, with Qt theme

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- 0.5

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- 0.4
- fix group

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- fix gtkrc

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- build requires gtk2-devel
- include a gtkrc to set default theme to Wonderland

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun  3 2002 Havoc Pennington <hp@redhat.com>
- 0.3
- no longer noarch

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- fix gtk theme location

* Fri May 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build

